id: agaric_page
migration_group: agaric
label: Agaric Pages
source:
  plugin: d7_node
  node_type: page
destination:
  plugin: entity:node
process:
  type:
    plugin: default_value
    default_value: page
  langcode:
    plugin: default_value
    source: language
    default_value: "und"
  title: title
  uid:
    -
      plugin: migration_lookup
      migration: agaric_user
      source: node_uid
      no_stub: true
    -
      plugin: skip_on_empty
      method: row
  paragraph_body:
    plugin: migration
    migration: agaric_page_paragraph
    source: nid
  field_body_paragraph:
    plugin: iterator
    source:
      - '@paragraph_body'
    process:
      target_id: '0'
      target_revision_id: '1'
  field_image:
    -
      plugin: iterator
      source: field_image
      process:
        target_id:
          plugin: migration_lookup
          migration: agaric_file
          source: fid
        alt: alt
        title: title
        height: height
        width: width
  field_file:
    -
      plugin: iterator
      source: field_file
      process:
        target_id:
          plugin: migration_lookup
          source: fid
  status: status
  created: created
  changed: changed
  promote: promote
  sticky: sticky
  revision_uid: revision_uid
  revision_log: log
  revision_timestamp: timestamp
migration_dependencies:
  required:
    - agaric_user
    - agaric_page_paragraph
